aboutsummaryrefslogtreecommitdiff
path: root/deploy-to-obs.sh
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2023-01-11 13:53:51 +0000
committerB. Stack <bgstack15@gmail.com>2023-01-11 13:53:51 +0000
commitae8b4b3010818997bc577f6eb18efffbfe43540d (patch)
tree9d49cc5add8be0115f9c778629917a4267df5b45 /deploy-to-obs.sh
parentuse +stackrpms release name (diff)
parentMerge branch 'master' into 'b3.24.34' (diff)
downloadgtk3-classic-build-ae8b4b3010818997bc577f6eb18efffbfe43540d.tar.gz
gtk3-classic-build-ae8b4b3010818997bc577f6eb18efffbfe43540d.tar.bz2
gtk3-classic-build-ae8b4b3010818997bc577f6eb18efffbfe43540d.zip
Merge branch 'b3.24.34' into 'master'
update to 3.24.34 See merge request bgstack15/gtk3-classic-build!2
Diffstat (limited to 'deploy-to-obs.sh')
-rwxr-xr-xdeploy-to-obs.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/deploy-to-obs.sh b/deploy-to-obs.sh
new file mode 100755
index 0000000..0c5be54
--- /dev/null
+++ b/deploy-to-obs.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Startdate: 2020-11-04 15:06
+# Purpose: make it a oneliner to get into the OBS
+# History:
+# 2022-09-20 forked for gtk+3.0 gtk3-classic generator
+# Reference:
+# ublock-origin-combined/deploy-to-obs.sh but heavily modified!
+# Dependencies:
+# osc
+
+devdir=~/dev
+gitdir="${devdir}/gtk+3.0"
+obsdir="${devdir}/osc/home:bgstack15:gtk3-classic/gtk3-classic"
+prefix="gtk+3.0"
+
+# Flow
+cd "${gitdir}"
+#"${gitdir}/build-orig-tarball.sh"
+export CLASSIC RAW DEB NO_CLEAN # useful in this next script
+is_x_set="$( set -o | awk '/xtrace/{if($2=="on")print "Y"}' )"
+${is_x_set:+sh -x }"${gitdir}/gtk-classic-build-deb.sh"
+echo "DONE WITH build-orig-tarball"
+tf="$( find . -maxdepth 1 -name "${prefix}"'*orig*z' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 )"
+#tar -zxf "${tf}"
+#cd "$( tar -zvtf "${tf}" | awk '/^d/{print $NF}' | head -n1 )"
+#cp -pr "${gitdir}/debian" .
+#debuild -us -uc # depends on dpkg-dev=1.19.7 and not 1.20.5 which is still broken in Ceres as of 2020-11-04
+#test $? -eq 0 || { "debuild failed. Cannot continue. Aborted." ; exit 1 ; }
+cd "${gitdir}"
+dsc_file="$( find . -maxdepth 1 -name "${prefix}"'*dsc' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 | cut -d' ' -f2 )"
+debian_tar_file="$( find . -maxdepth 1 -name "${prefix}"'*debian*z' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 | cut -d' ' -f2 )"
+
+# prep obs
+cd "${obsdir}"
+osc up
+osc rm *
+cd "${gitdir}"
+cp -p "${dsc_file}" "${debian_tar_file}" "${tf}" "${obsdir}/"
+cd "${obsdir}"
+#find . -mindepth 1 -maxdepth 1 ! -name "${dsc_file}" ! -name "${debian_tar_file}" ! -name "${tf}" -delete
+osc add *
+osc commit # will prompt for commit name
bgstack15